Bug 59131 - Crash on opening Properties from print dialog second time
Summary: Crash on opening Properties from print dialog second time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 13:17 UTC by Ruslan Kabatsayev
Modified: 2013-01-10 09:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt + console logs on master (12.64 KB, text/plain)
2013-01-08 22:00 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Kabatsayev 2013-01-08 13:17:03 UTC
Here's the backtrace: http://pastebin.com/fRPHLDBw

How to reproduce:
1. Ctrl+P to get print dialog
2. Press Properties to get printer properties dialog
3. OK
4. Repeat step 2 and get crash
Comment 1 Ruslan Kabatsayev 2013-01-08 13:18:43 UTC
And here's what soffice says before it dies:

warn:configmgr:14431:1:/fastdocs/programmer/libreoffice/libo/configmgr/source/propertynode.cxx:68: non-nillable property without value
soffice.bin: /fastdocs/programmer/libreoffice/libo/padmin/source/prtsetup.cxx:373: padmin::RTSDevicePage::RTSDevicePage(padmin::RTSDialog*): Assertion `nLevelEntryData != 0 || bAutoIsPDF == m_pParent->m_aJobData.m_nPDFDevice' failed.
Exited with code '134'
Comment 2 Julien Nabet 2013-01-08 22:00:28 UTC
Created attachment 72691 [details]
bt + console logs on master

On pc Debian x86-64 with master sources updated today, I reproduced the crash.

I attached console logs + bt
Comment 3 Julien Nabet 2013-01-08 22:01:55 UTC
Caolán: one for you?
Comment 4 Caolán McNamara 2013-01-09 11:58:27 UTC
yeah, its mine
Comment 5 Not Assigned 2013-01-09 12:55:59 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c4d77f22d58f5b500c95f65a431628a8d8d6e6e

Resolves: fdo#59131 resolve default backend on printer->setup



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Ruslan Kabatsayev 2013-01-09 18:30:57 UTC
Confirming fixed. Thanks.
Comment 7 Not Assigned 2013-01-10 09:07:00 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c93acdba9274f5571a01a7ed5738957d8ebb0cd&h=libreoffice-4-0

Resolves: fdo#59131 resolve default backend on printer->setup


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.